Subject: [bug#38106] [PATCH] gnu: mrustc: Update to 0.8.1.

From: Danny Milosavljevic <[email-masked]>
Date: Mon, 20 Jan 2020 20:12:45 +0100

Hi Marius,

I'm still not done with the 0.9 version.

The current problem is that a glibc update apparently removed <sys/ustat.h>--so
I would have to patch upstream [email-masked]
(rustc-1.19.0-src/src/compiler-rt/lib/sanitizer_common/sanitizer_platform_limits_posix.cc:163)
on staging.

Is that known already?  Does Rust work on staging (without my changes)?

The 0.8.1 mrustc should work--but I don't have the free CPU/memory capacity to test it now.

I have an account on bayfront but cannot compile guix there (from manual checkout).  I get:

error: failed to load 'guix/scripts/pack.scm':
ice-9/eval.scm:293:34: no binding `zip' to hide in module (gnu packages compression)

even after removing all .go files and removing ~/.cache/guile .